Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.pojo.util
Class AopUtil

    java.lang.Object
      org.jboss.cache.pojo.util.AopUtil

    public final class AopUtil

extends Object

Unitlity methods for put, get and remove Collection classes object.

Author:
  Ben Wang

Field Summary
`static String` | `SEPARATOR`

Constructor Summary
`AopUtil()`

Method Summary
`static org.jboss.cache.Fqn` | `constructFqn(org.jboss.cache.Fqn baseFqn, Object relative)`
`static org.jboss.cache.Fqn` | `createInternalFqn(org.jboss.cache.Fqn fqn, org.jboss.cache.Cache cache)` Internal fqn is now structured as: a) If no region -- /__JBossInternal__/trueId/__ID__/xxxx b) If there is region -- /region/__JBossInternal__/xxx
`static org.jboss.aop.advice.Interceptor` | `findCacheInterceptor(org.jboss.aop.InstanceAdvisor advisor)` Find existing cache interceptor.
`static org.jboss.aop.advice.Interceptor` | `findCacheInterceptor(org.jboss.aop.InstanceAdvisor advisor, org.jboss.cache.Fqn fqn)` Find cache interceptor with exact fqn.
`static org.jboss.aop.advice.Interceptor` | `findCollectionInterceptor(org.jboss.aop.InstanceAdvisor advisor)` Find existing Collection interceptor.
`static void` | `checkObjectType(Object obj)` Check whether the object type is valid.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SEPARATOR

    public static final String SEPARATOR

See Also:
  Constant Field Values

Constructor Detail

### AopUtil

    public AopUtil()

Method Detail

### findCacheInterceptor

    public static org.jboss.aop.advice.Interceptor findCacheInterceptor(org.jboss.aop.InstanceAdvisor advisor,
                                                                        org.jboss.cache.Fqn fqn)

  Find cache interceptor with exact fqn.

  Parameters:
    `advisor` -
    `fqn` -
  Returns:
    Interceptor

### findCacheInterceptor

    public static org.jboss.aop.advice.Interceptor findCacheInterceptor(org.jboss.aop.InstanceAdvisor advisor)

  Find existing cache interceptor. Since there is supposedly only one cache interceptor per pojo, this call should suffice. In addition, in cases of cross or circular reference, fqn can be different anyway.

  Parameters:
    `advisor` -
  Returns:
    Interceptor

### findCollectionInterceptor

    public static org.jboss.aop.advice.Interceptor findCollectionInterceptor(org.jboss.aop.InstanceAdvisor advisor)

  Find existing Collection interceptor. Since there is supposedly only one Collection interceptor per instance, this call should suffice. In addition, in cases of cross or circular reference, fqn can be different anyway.

  Parameters:
    `advisor` -
  Returns:
    Interceptor

### checkObjectType

    public static void checkObjectType(Object obj)

  Check whether the object type is valid. An object type is valid if it is either: aspectized, Serializable, or primitive type. Otherwise a runtime exception is thrown.

  Parameters:
    `obj` -

### constructFqn

    public static org.jboss.cache.Fqn constructFqn(org.jboss.cache.Fqn baseFqn,
                                                   Object relative)

### createInternalFqn

    public static org.jboss.cache.Fqn createInternalFqn(org.jboss.cache.Fqn fqn,
                                                        org.jboss.cache.Cache cache)

  Internal fqn is now structured as: a) If no region -- /__JBossInternal__/trueId/__ID__/xxxx b) If there is region -- /region/__JBossInternal__/xxx

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 JBoss, a division of Red Hat. All Rights Reserved.